### Method

# Clutter Text activate

#### Declaration [src]

    gboolean
    clutter_text_activate (
      ClutterText* self
    )

#### Description [src]

Emits the `ClutterText::activate` signal, if `self` has been set as activatable using `clutter_text_set_activatable()`.

This function can be used to emit the `ClutterText::activate` signal inside a `ClutterActor::captured-event` or `ClutterActor::key-press-event` signal handlers before the default signal handler for the `ClutterText` is invoked.

#### Return value

Type: `gboolean`

`TRUE` if the `ClutterText::activate` signal has been emitted, and `FALSE` otherwise.